Service Desk - Feature #1705

API changes
12/02/2025 05:05 PM - Krishna Kanth A

Status: Ready for QA Start date: 12/02/2025
Priority: Normal Due date:

Assignee: Kalyan Battula % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Hi Bhanu Sir,

Could you please make the following changes to the APl in the Service Desk Ticketing tool.

In the Recent NABARD Meetings, NLPSV was directed not to close the tickets on the Ticketing Tool at their end.

Required API changes for pushed Tickets:

1) If the Ticket status is Updated as Resolved in the NLPSSIS System, the status for that ticket also to be auto updated as Resolved
(through API) in Service Desk.

2) All the comments updated by NLPSSIS tam for these Resolved Tickets should be fetched and displayed in the Service Desk
Tickets History section.

(Please pull all the attachments as Well)

3) Based up on the latest comment shared by the NLPSIS Team while Resolving the Ticket, the Service Desk Team to Decide
Whether the Ticket can be Closed in SD or Reopened if any open action is pending from SD end.

4) In Service Desk Only Admin,"SIAdmin" and PACS User Role Users to be allowed to Update Ticket Status as Closed or
Reopened.

5) If the Ticket is Closed in Service Desk, then this APl Should auto update the Ticket Status is NLPSSIS System as Closed.
Kindly note that in the NLPSIS System the Resolved Tickets will be auto Closed in 48 Hours if no action taken from Service Desk.
Business process :

SD should pull only the Tickets in Resolved Status from NLPSSISS System with effect from 01 Feb,2025. Comments added and
Files attached by NLPSISS to “Resolved Tickets” should be reflected in SD.

SD Team Either Closes the Resolved Ticket or Reopens it based on the Comments provided.

All Reopened Tickets will be Pushed back to NLPSV by Providing Necessary information in Comments.

Ticket raised before 01 Feb,2025 and in Resolved Status are to be Closed manually in SD.(A Separate Ticket is raised #1707 for this
Activity).

History

#1 - 13/02/2025 07:17 PM - Krishna Kanth A

- Description updated

#2 - 13/02/2025 07:27 PM - Durga Konduru

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

Please provide timelines.

#3 - 14/02/2025 02:18 PM - Krishna Kanth A

- Description updated

#4 - 19/02/2025 02:36 PM - Kalyan Battula

Given points in ticket are working fine .
#5 - 17/03/2025 04:34 PM - Praveen kumar Bandi
- Status changed from New to Ready for QA

- Assignee changed from Bhanuchander Sannidhanam to Kalyan Battula
